language: php

branches:
  # Only test the master branch and SemVer tags.
  only:
    - master
    - '/^[[:digit:]]+\.[[:digit:]]+\.[[:digit:]]+.*$/'

matrix:
  include:
    - php: 7.2
      env: 'SCENARIO=symfony4 DEPENDENCIES=highest'
    - php: 7.1
      env: 'SCENARIO=symfony4'
    - php: 7.0.11
      env: 'SCENARIO=symfony3 DEPENDENCIES=highest'
    - php: 7.0.11
    - php: 5.6
    - php: 5.5
    - php: 5.4
      env: 'SCENARIO=symfony2 DEPENDENCIES=lowest'

sudo: false

cache:
  directories:
    - $HOME/.composer/cache

install:
  - 'composer scenario "${SCENARIO}" "${DEPENDENCIES}"'

script:
  - composer test

after_success:
  - 'travis_retry php vendor/bin/coveralls -v'
